;
;   Test faults.  This assumes the default VMINIT setting, where
;   the SCBB is at 80004A00
;

;
;   Set up the handler.  Currently it does very little.
;
               .base  200

                .vector exc$accvio
accvio_handler: pushl   #2    ; Make stack contain arg list with count
                callg   sp, exe_accviohandler
                moval   b^0c(sp), sp   ;   Pop off the arguments
                moval   b^04(sp), sp   ;   Discard the return PC
                pushal  @#dead_zone     ;   And replace with known PC
                rei

                .entry exe_accviohandler, <r2,r3>

                movl    b^4(ap),  r2  ; Get access code
                movl    b^8(ap),  r3  ; Get offending address

                movl    #0c, r0       ; set return code
                ret

dead_zone:      halt

;
;   Here's the test entry point that incurs the violation.
;

                .entry  test, ^m<r3>
                movl    #5, r3
                jmp @#100   ; Illegal address
                halt

               .end
